<?php
    # include the API
    include('../../../../../core/inc/api.php');
    
    $API  = new PerchAPI(1.0, 'perch_upgrade');
    $Lang = $API->get('Lang');

    # include your class files
    include('../../PerchUpgrade.class.php');

    $app_path = PERCH_CORE.'/apps/content';
    
    include($app_path.'/PerchContent_Item.class.php');
    include($app_path.'/PerchContent_Items.class.php');
    include($app_path.'/PerchContent_Page.class.php');
    include($app_path.'/PerchContent_Pages.class.php');
    include($app_path.'/PerchContent_Region.class.php');
    include($app_path.'/PerchContent_Regions.class.php');
    


    # Set the page title
    $Perch->page_title = $Lang->get('Import content');


    # Do anything you want to do before output is started
    include('../../modes/import.content.pre.php');
    
    
    # Top layout
    include(PERCH_CORE . '/inc/top.php');

    
    # Display your page
    include('../../modes/import.content.post.php');
    
    
    # Bottom layout
    include(PERCH_CORE . '/inc/btm.php');
?>