<?php
    # include the API
    include('../../../../../core/inc/api.php');
    
    $API  = new PerchAPI(1.0, 'perch_upgrade');
    $Lang = $API->get('Lang');

    # include your class files
    include('../../PerchUpgrade.class.php');

    if (!file_exists(PERCH_PATH.'/addons/apps/perch_events/PerchEvents_Events.class.php')) {
        die('The Events app does not appear to be installed. It is needed to upgrade events.');
    }
    

    include(PERCH_PATH.'/addons/apps/perch_events/PerchEvents_Events.class.php');
    include(PERCH_PATH.'/addons/apps/perch_events/PerchEvents_Event.class.php');
    include(PERCH_PATH.'/addons/apps/perch_events/PerchEvents_Categories.class.php');
    include(PERCH_PATH.'/addons/apps/perch_events/PerchEvents_Category.class.php');



    # Set the page title
    $Perch->page_title = $Lang->get('Import events');


    # Do anything you want to do before output is started
    include('../../modes/import.events.pre.php');
    
    
    # Top layout
    include(PERCH_CORE . '/inc/top.php');

    
    # Display your page
    include('../../modes/import.events.post.php');
    
    
    # Bottom layout
    include(PERCH_CORE . '/inc/btm.php');
?>