<?php
    # include the API
    include('../../../../../core/inc/api.php');
    
    $API  = new PerchAPI(1.0, 'perch_upgrade');
    $Lang = $API->get('Lang');

    # include your class files
    include('../../PerchUpgrade.class.php');

    if (!file_exists(PERCH_PATH.'/addons/apps/perch_blog/PerchBlog_Posts.class.php')) {
        die('The blog app does not appear to be installed. It is needed to upgrade blog posts.');
    }
    

    include(PERCH_PATH.'/addons/apps/perch_blog/PerchBlog_Posts.class.php');
    include(PERCH_PATH.'/addons/apps/perch_blog/PerchBlog_Post.class.php');
    include(PERCH_PATH.'/addons/apps/perch_blog/PerchBlog_Sections.class.php');
    include(PERCH_PATH.'/addons/apps/perch_blog/PerchBlog_Section.class.php');
    include(PERCH_PATH.'/addons/apps/perch_blog/PerchBlog_Tags.class.php');
    include(PERCH_PATH.'/addons/apps/perch_blog/PerchBlog_Tag.class.php');
    include(PERCH_PATH.'/addons/apps/perch_blog/PerchBlog_Cache.class.php');


    # Set the page title
    $Perch->page_title = $Lang->get('Import blog posts');


    # Do anything you want to do before output is started
    include('../../modes/import.blog.pre.php');
    
    
    # Top layout
    include(PERCH_CORE . '/inc/top.php');

    
    # Display your page
    include('../../modes/import.blog.post.php');
    
    
    # Bottom layout
    include(PERCH_CORE . '/inc/btm.php');
?>