<?php
    # include the API
    include('../../../../../core/inc/api.php');
    
    $API  = new PerchAPI(1.0, 'perch_upgrade');
    $Lang = $API->get('Lang');

    # include your class files
    include('../../PerchUpgrade.class.php');

    if (!file_exists(PERCH_PATH.'/addons/apps/perch_gallery/PerchGallery_Albums.class.php')) {
        die('The Gallery app does not appear to be installed. It is needed to upgrade the gallery.');
    }

    include(PERCH_PATH.'/addons/apps/perch_gallery/PerchGallery_Albums.class.php');
    include(PERCH_PATH.'/addons/apps/perch_gallery/PerchGallery_Album.class.php');
    include(PERCH_PATH.'/addons/apps/perch_gallery/PerchGallery_Images.class.php');
    include(PERCH_PATH.'/addons/apps/perch_gallery/PerchGallery_Image.class.php');
    include(PERCH_PATH.'/addons/apps/perch_gallery/PerchGallery_ImageVersions.class.php');
    include(PERCH_PATH.'/addons/apps/perch_gallery/PerchGallery_ImageVersion.class.php');



    # Set the page title
    $Perch->page_title = $Lang->get('Import gallery');


    # Do anything you want to do before output is started
    include('../../modes/import.gallery.pre.php');
    
    
    # Top layout
    include(PERCH_CORE . '/inc/top.php');

    
    # Display your page
    include('../../modes/import.gallery.post.php');
    
    
    # Bottom layout
    include(PERCH_CORE . '/inc/btm.php');
?>