<?php
    # Side panel
    echo $HTML->side_panel_start();

    echo $HTML->para('We recommend upgrading into a new Perch 2 installation, using an offline copy of your website.');
    
	echo $HTML->heading3('Step 1');
    echo $HTML->para('Rename your existing Perch folder to something new (e.g. %sperch_v1%s)', '<code>', '</code>');
    echo $HTML->para('Copy the new Perch folder into your site, in place of the old one.');
    
    echo $HTML->heading3('Step 2');
    echo $HTML->para('Copy your %stemplates%s and %sresources%s from the old folder to the new.', '<strong>', '</strong>', '<strong>', '</strong>');

    echo $HTML->heading3('Step 3');
    echo $HTML->para('Click the Import button on each item in turn.');

    echo $HTML->para('After import, you may find you need to manually reorder your pages. This is normal, and should only have to be done once.');

    echo $HTML->side_panel_end();
    
    
    # Main panel
    echo $HTML->main_panel_start();

	include('_subnav.php');

	
    echo $HTML->heading1('Upgrading a site');
 

    if (PerchUtil::count($importables)) {

	    echo '<ul class="importables">';

	    	// USERS
	    	if (in_array('users', $index)) {
	    		$pos = array_search('users', $index);
	    		$item = $importables[$pos];
	    		echo '<li>';
	    			echo 'Users ('.$item['item_count'].' item'.($item['item_count']==1?'':'s').')';
	    			echo '<a href="import/users/" class="action">Import</a>';
	    		echo '</li>';
	    	}

	    	// SETTINGS
	    	if (in_array('settings', $index)) {
	    		$pos = array_search('settings', $index);
	    		$item = $importables[$pos];
	    		echo '<li>';
	    			echo 'Settings ('.$item['item_count'].' item'.($item['item_count']==1?'':'s').')';
	    			echo '<a href="import/settings/" class="action">Import</a>';
	    		echo '</li>';
	    	}

	    	// CONTENT
	    	if (in_array('contentItems', $index) || in_array('contentitems', $index)) {
	    		$pos = array_search('contentItems', $index);
	    		if (!$pos) {
	    			$pos = array_search('contentitems', $index);
	    		}
	    		$item = $importables[$pos];
	    		echo '<li>';
	    			echo 'Content ('.$item['item_count'].' item'.($item['item_count']==1?'':'s').')';
	    			echo '<a href="import/content/" class="action">Import</a>';
	    		echo '</li>';
	    	}

	    	// BLOG
			if (in_array('blog_posts', $index)) {
	    		$pos = array_search('blog_posts', $index);
	    		$item = $importables[$pos];
	    		echo '<li>';
	    			echo 'Blog posts ('.$item['item_count'].' item'.($item['item_count']==1?'':'s').')';
	    			echo '<a href="import/blog/" class="action">Import</a>';
	    		echo '</li>';
	    	}	    	

	    	// EVENTS
			if (in_array('events', $index)) {
	    		$pos = array_search('events', $index);
	    		$item = $importables[$pos];
	    		echo '<li>';
	    			echo 'Events ('.$item['item_count'].' item'.($item['item_count']==1?'':'s').')';
	    			echo '<a href="import/events/" class="action">Import</a>';
	    		echo '</li>';
	    	}	    	


	    	// GALLERY
			if (in_array('gallery_albums', $index)) {
	    		$pos = array_search('gallery_albums', $index);
	    		$item = $importables[$pos];
	    		echo '<li>';
	    			echo 'Gallery ('.$item['item_count'].' item'.($item['item_count']==1?'':'s').')';
	    			echo '<a href="import/gallery/" class="action">Import</a>';
	    		echo '</li>';
	    	}	


	    echo '</ul>';


    }


    echo $HTML->main_panel_end();
